PORT-LIVECHECK(1)

NAME
port-livecheck - Check if a new version of the software is available

SYNOPSIS

port [-vd] [-D portdir] livecheck
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port livecheck checks whether a newer version of a given port is available upstream. It (usually) does that by automatically downloading a web page and applying a regular expression that extracts a version number. If the version number is different from the one the port packages, a message is printed.

port livecheck is useful for maintainers that want to check whether new versions of their ports are available so they can be updated. It can also be used by users that encounter a problem, because updating to the latest upstream version is generally one of the first steps in case of an error or when encountering a bug.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-v
    Print a message if the port is up to date.

-d
    Print debugging information such as the regular expression and all matches.

SEE ALSO

port(1), portfile(7), port-upgrade(7), Livecheck/Distcheck in the MacPorts Guide[1]

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>

EXTERNAL REFERENCES

1.  Livecheck/Distcheck in the MacPorts Guide
    https://guide.macports.org/#reference.livecheck